/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
#ifndef GLUT_LM_H_
#define GLUT_LM_H_

#include "nghds.h"
#include "gldisp.h"
#include "gfmcmc_draw.h"

void lmaConsoleWindow(void);

/**
 * Draw the seg indicators xx0 and xx1 as rows of colors 0 and 1 in the
 * series.  Each individual has two rows inside a box.  Each individual takes
 * up four units of height (one for each row).
 */
void lmaDrawSegIndVectors(void);

/**
 * Draw the founder alleles from gg0 and gg1 in different colors.
 */
void lmaDrawGGVectors(void);

#endif /* GLUT_LM_H_ */
