/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*        parsepoly.h:  header file for Pars/proc_poly()               */
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef PARSPOLY_H
#define PARSPOLY_H

/**
 * @addtogroup polyem
 * @{
 */

static int   test_select (void);
static int   test_startff (void);
static int   test_start_var (void);
static int   pos_def_test (double *, double *, int);
static int   test_eigen (void);
static int   test_peeling (void);
static void  alloc_poly_arrays (void);
static void  free_poly_arrays (void);

/** @} */

#endif  /*PARSPOLY_H*/
