/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

void proc_end_frees (void)
{
   free_fnam (get_filent (PAR));        /* Done with the parameter file.      */
   free_fnam (get_filent (MDAT));       /* Also with the marker data file.    */
   proc_free ();                        /* No longer need parser structures.  */

   free_arrs ();

   return;
}

int proc_end (void)
{
   fflush (stderr);
   fflush (stdout);

   if (n_err > 0)                       /* Call it quits if there are errors. */
   {
      err_typ = ERR_QIT;
      if (proc_err ())
      {
         proc_end_frees ();
         return FALSE;
      }
   }

   proc_end_frees ();

   return TRUE;
}
