/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

/**
 * These functions report milestones in a program's execution.
 */

#include "stuff.h"

void prntStatusPP (void)
{
   fprintf (stdout, " === Parsing of parameter statements completed ===\n\n\n");
   fflush (stdout);

   return;
}

void prntStatusCP (void)
{
   fprintf (stdout,
            " === Checking of parameter statements completed ===\n\n\n");
   fflush (stdout);

   return;
}

void prntStatusCPF (void)
{

   fprintf (stdout, " === Checking of pedigree file completed ===\n\n\n");
   fflush (stdout);

   return;
}

void prntStatusCIF (void)
{

   fprintf (stdout, " === Checking of individuals file completed ===\n\n\n");
   fflush (stdout);

   return;
}

void prntStatusSMC (void)
{

   fprintf (stdout, " === Setup for MCMC completed ===\n\n\n");
   fflush (stdout);

   return;
}

void prntStatusIMC (char *method)
{

   fprintf (stdout, " === Inheritance indicators initialized"
            " using %s ===\n\n\n", method);
   fflush (stdout);

   return;
}

void prntStatusBMC (void)
{
   fprintf (stdout, " === MCMC sampling begun ===\n\n\n");
   fflush (stdout);

   return;
}

void prntStatusFMC (void)
{
   fprintf (stdout, " === MCMC sampling completed ===\n\n\n");
   fflush (stdout);

   return;
}
