/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

/* For each program, the number of chromosomes, markers, traits, tlocs and    */
/* fixed effects.                                                             */

struct _progSimSel {
   char *pnam;                          /* Program name.                      */
   char pcod;                           /* One character program code.        */
   int  max_chrom;                      /* Maximum chromosome number.         */
   int  min_mark;                       /* Minimum number of markers.         */
   int  max_mark;                       /* Maximum number of markers.         */
   int  min_trait;                      /* Minimum number of traits.          */
   int  max_trait;                      /* Maximum number of traits.          */
   int  min_tloc;                       /* Minimum number of trait loci.      */
   int  max_tloc;                       /* Maximum number of trait loci.      */
   int  test_tloc;                      /* Test trait positions?              */
   int  max_fef;                        /* Maximum number of fixed effects.   */
                   } *psx;

