/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

int disp_deflt (void)                   /* display (default)                  */
{
   if (chk_stat ())
      chk_repeat ();
   GDispOpt = DEFLT_DISP;

   return err_typ;
}

int disp_segrg (void)                   /* display segregations               */
{
   if (chk_stat ())
      chk_repeat ();
   GDispOpt = SEGR_DISP;

   return err_typ;
}

int disp_labls (void)                   /* display labels                     */
{
   if (chk_stat ())
      chk_repeat ();
   GDispOpt = LABL_DISP;

   return err_typ;
}

int disp_iter (void)                    /* display every I iterations         */
{
   if (chk_stat ())
   {
      chk_repeat ();
      GDispIt = j_par[0];
   }
   return err_typ;
}

int disp_cp_indvs (void)                /* display component individuals      */
{
   INDNAM_PTR p_dispnode;

   if (chk_stat ())
      if (chk_indnam (CMP))
      {
         if (!(p_dispnode = chk_indnam_node (CMP, DISPIND)))
            p_dispnode = alloc_indnam_node (CMP, DISPIND);
         else
            free_indnam_list (p_dispnode);
         alloc_indnam_list (p_dispnode);
         stor_indnam (p_dispnode, CMP);
      }
   return err_typ;
}

int disp_indvs (void)                   /* display individuals                */
{
   INDNAM_PTR p_dispnode;

   if (chk_stat ())
      if (chk_indnam (NCMP))
      {
         if (!(p_dispnode = chk_indnam_node (NCMP, DISPIND)))
            p_dispnode = alloc_indnam_node (NCMP, DISPIND);
         else
            free_indnam_list (p_dispnode);
         alloc_indnam_list (p_dispnode);
         stor_indnam (p_dispnode, NCMP);
      }
   return err_typ;
}
